Skip to navigation

Update a feature library

Update a feature library. Note: Features cannot be updated from this endpoint. Use the /features* endpoints to add or modify features.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

feature_library_idstringRequired

Request

This endpoint expects an object.
descriptionstringOptional
The description for the feature library
namestringOptional
The name of the feature library

Response

OK
descriptionstringOptional
The description for the feature library
namestringOptional
The name of the feature library
createdAtdatetimeOptional
DateTime the Feature Library was created
idstringOptional
The id of the feature library
modifiedAtdatetimeOptional
DateTime the Feature Library was last modified
ownerobjectOptional
webURLstringOptionalformat: "uri"
The Benchling web UI url to view the Feature Library

Errors

400
Bad Request Error
404
Not Found Error